
Application: gvSIG desktop - gvSIG bugs #473
Combining the tools Edit Vertex and Exploit, make the console appears. 
03/27/2012 01:09 PM - Victoria Agazzi

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.0.0-alpha5
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2045 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Tools: Geometry editing (org.gvsig.editing)
Description

Hi, 
The Exploit tool goes ok when I tested it in an isolated way. The tests were done with line geometries. 
But, if I combine first the Edit vertex (adding one new vertex for example), and then applying the Exploit tool to that line, the console
appears as it shows the image attached. 
I also attached the log file.

Thanks!

History
#1 - 03/27/2012 01:09 PM - Victoria Agazzi
- File gvSIG.log added

#2 - 04/06/2012 07:51 PM - Manuel Madrid
- Priority changed from Normal to Urgent

#3 - 04/08/2012 09:55 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano
- Target version set to 2.0.0-alpha5

#4 - 04/10/2012 12:40 PM - Joaquín  del Cerro Murciano

Eliminando del proyecto extEditing dependencias con la implementacion de la libreria de geometrias he corregido algunas cosas relacionadas con
estas herramientas.

Aun he de repasar si esto corrige o no el error detectado.

r33205

#5 - 05/22/2012 10:24 AM - Joaquín  del Cerro Murciano
- Assignee changed from Joaquín  del Cerro Murciano to Juan Lucas Domínguez

#6 - 05/22/2012 04:30 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
gvsig-desktop:r38235

Problem was a class cast exception. Two comments:

- In method "public Feature delete(FeatureReference id)" the fields "modifiedFromOriginal" and "expansionAdapter" seem to be inconsistent between
them. The deleted feature is not removed in "expansionAdapter". Perhaps this is not a problem.

- The method "public Feature deleteLastFeature()" is never used but looks strange because the removed feature is not kept as a local variable, tyhen
other feature is treated (?)

#7 - 05/23/2012 08:46 AM - Juan Lucas Domínguez

gvsig-desktop:r38236

Small change to prevent NPE

#8 - 06/08/2012 01:46 PM - María Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2047

Files
Pantallazo-5.png 130 KB 03/27/2012 Victoria Agazzi
gvSIG.log 120 KB 03/27/2012 Victoria Agazzi
